EC_NODE_STR(3)

NAME
ec_node_str - Create a string node that matches a specific string.

SYNOPSIS
#include <ecoli/node_str.h>

struct ec_node * ec_node_str(
    const char   *id,   /* The node identifier. */
    const char   *str   /* The string to match. */
);

RETURN VALUE

The node, or NULL on error (errno is set).

SEE ALSO

ec_node_str_set_str(3),

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.